### Method

# St IconTheme get_search_path

#### Declaration [src]

    void
    st_icon_theme_get_search_path (
      StIconTheme* icon_theme,
      char*** path,
      int* n_elements
    )

#### Description [src]

Gets the current search path. See st_icon_theme_set_search_path().

#### Parameters

`path`

  Type: An array of `filename`

      location to store a list of icon theme path directories or `NULL`.
      The stored value should be freed with g_strfreev().

  The argument will be set by the function.
  The argument can be `NULL`.
  The length of the array is specified in the `n_elements` argument.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  Each element is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows..

`n_elements`

  Type: `int*`

  Location to store number of elements in `path`, or `NULL`.

  The argument will be set by the function.